Subject: [Ffc] which function space

From: Patrick Riesen <[email-masked]>
Date: Fri, 12 Feb 2010 10:25:52 +0100

hi all of you,

in dolfin0.9.6 i'm having a hard time with the following problem:

i'm solving for a variable viscosity, depending on the power x of the 
strain-rate tensor's 2nd invariant.

the invariant i compute in a separate form, and then i compute the power 
by iterating through all the dofs, extracting/reinserting the values in 
the vector of the function inside the code.

this was all fine for dolfin < 0.9.6 but now i think i have a problem 
with choosing the right function space for the viscosity coefficient in 
my nonlinear problem, since for those i used before (Quadrature, DG) i 
have serious problem which i do not understand (they all worked before 
dolfin0.9.6)

my problem is a mixed problem with space definitions:
#--------------------------------------
velocity = VectorElement("CG" , geom, 2)
pressure = FiniteElement("CG" , geom, 1)
ME = MixedElement(velocity, pressure)

# viscosity element
visc = FiniteElement("DG", geom, 2)

# placeholder variable viscosity
eta = Coefficient(qe)
#---------------------------------------

using this has worked well before, but i don't follow why it shouldn't 
work in dolfin0.9.6/ffc0.9. Or else somebody can propose me another 
approach.

regards,
patrick

---

From: Anders Logg <[email-masked]>
Date: Fri, 12 Feb 2010 10:34:10 +0100

On Fri, Feb 12, 2010 at 10:25:52AM +0100, Patrick Riesen wrote:
> i'm solving for a variable viscosity, depending on the power x of
> the strain-rate tensor's 2nd invariant.
>
> the invariant i compute in a separate form, and then i compute the
> power by iterating through all the dofs, extracting/reinserting the
> values in the vector of the function inside the code.
>
> this was all fine for dolfin < 0.9.6 but now i think i have a
> problem with choosing the right function space for the viscosity
> coefficient in my nonlinear problem, since for those i used before
> (Quadrature, DG) i have serious problem which i do not understand
> (they all worked before dolfin0.9.6)
>
> using this has worked well before, but i don't follow why it
> shouldn't work in dolfin0.9.6/ffc0.9. Or else somebody can propose
> me another approach.
>
> regards,
> patrick

Is the problem the quadrature element for eta? What is the problem exactly?

--
Anders